// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.featuretree;

import org.eclipse.jface.viewers.LabelProvider;

import eu.etaxonomy.cdm.model.description.Feature;
import eu.etaxonomy.cdm.model.description.FeatureNode;
import eu.etaxonomy.cdm.model.description.FeatureTree;

/**
 * <p>FeatureTreeLabelProvider class.</p>
 *
 * @author n.hoffmann
 * @created Aug 5, 2010
 * @version 1.0
 */
public class FeatureTreeLabelProvider extends LabelProvider {
	
	private Feature feature;
		
	/** {@inheritDoc} */
	@Override
	public String getText(Object element) {
		if(element instanceof FeatureTree){
			return ((FeatureTree) element).getTitleCache();
		}else if(element instanceof FeatureNode){
			feature = ((FeatureNode) element).getFeature();
			
			if(feature != null)
				return feature.getTitleCache();
			
		}
		return "No label provided";
	}
	
	/**
	 * <p>Getter for the field <code>feature</code>.</p>
	 *
	 * @return a {@link eu.etaxonomy.cdm.model.description.Feature} object.
	 */
	public Feature getFeature(){
		return feature;
	}
}
