package eu.etaxonomy.taxeditor.handler;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.handlers.HandlerUtil;

import eu.etaxonomy.taxeditor.view.CdmViewerChooser;

/**
 * Opens the (first) currently selected element in a viewer. Opens a list of
 * possible viewers if more than one are registered for this element.
 *
 * @author pplitzner
 * @date Jul 6, 2015
 *
 */
public class OpenHandler extends AbstractHandler {

    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException {
        ISelection currentSelection = HandlerUtil.getCurrentSelection(event);
        if(currentSelection instanceof IStructuredSelection){
            Object firstElement = ((IStructuredSelection) currentSelection).getFirstElement();
            CdmViewerChooser viewerChooser = new CdmViewerChooser(HandlerUtil.getActiveShell(event));
            viewerChooser.chooseViewer(firstElement);
        }
        return null;
    }

}
