package eu.etaxonomy.taxeditor.io.wizard;

import java.io.File;
import java.util.HashSet;
import java.util.List;
import java.util.UUID;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.ui.IWorkbench;

import eu.etaxonomy.cdm.io.csv.caryophyllales.out.CsvNameExportConfigurator;
import eu.etaxonomy.cdm.model.taxon.Classification;
import eu.etaxonomy.taxeditor.store.CdmStore;

public class CsvPrintExportWizard extends CsvNameExportWizard{
	
	
	private final String description = "Export the contents of the currently selected database into Semicolon Separated Value format.";
	@Override
	public void init(IWorkbench workbench, IStructuredSelection selection) {
		configurator = CsvNameExportConfigurator.NewInstance(null,null);
		configurator.setNamesOnly(false);
	}

	@Override
	public CsvNameExportConfigurator getConfigurator() {
		
		return configurator;
	}

	

	/*
	 * (non-Javadoc)
	 *
	 * @see eu.etaxonomy.taxeditor.io.wizard.AbstractExportWizard#addPages()
	 */
	@Override
	public void addPages() {
	    //TODO create page with drop down menu for export for single classification.
//		super.addPages();


		//standard page
		page =  ExportToFileDestinationWizardPage.CsvPrint();

		addPage(page);
	}
	/*
	 * (non-Javadoc)
	 *
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	@Override
	public boolean performFinish() {
		String urlString = page.getFolderText() + File.separator
				+ page.getExportFileName();

		final Combo combo = page.getCombo();
		final List<Classification> listClassifications = CdmStore.getCurrentApplicationConfiguration().getClassificationService().listClassifications(null, null, null, null);
		if(combo != null){
		    int selectionIndex = combo.getSelectionIndex();
		    HashSet<UUID> set = new HashSet<UUID>();
		    if(selectionIndex == -1){
		        for(Classification c:listClassifications){
		            set.add(c.getUuid());
		        }
		    }else{
		        for(Classification c:listClassifications){
		            if(c.getTitleCache().equalsIgnoreCase(combo.getItem(selectionIndex))){
		                set.add(c.getUuid());
		            }
		        }
		       
		        configurator.setHasHeaderLines(true);
		        
		    }
		} else{		
			configurator.setClassificationUUID(listClassifications.get(0).getUuid());
		}
		configurator.setDestination(new File(urlString));

		CdmStore.getExportManager().run(configurator);

		return true;
	}

}
