// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.service.IAgentService;
import eu.etaxonomy.cdm.model.agent.Person;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.section.agent.PersonWizardPage;

/**
 * <p>NewPersonWizard class.</p>
 *
 * @author n.hoffmann
 * @created Jun 1, 2010
 * @version 1.0
 */
public class NewPersonWizard extends AbstractNewEntityWizard<Person> {

	/** {@inheritDoc} */
	@Override
	public void addPages() {
		addPage(new PersonWizardPage(formFactory, getConversationHolder(), getEntity()));
	}
	
	/** {@inheritDoc} */
	@Override
	protected Person createNewEntity() {
		return Person.NewTitledInstance("");
	}

	/** {@inheritDoc} */
	@Override
	protected void saveEntity() {
		CdmStore.getService(IAgentService.class).saveOrUpdate(getEntity());
	}

	@Override
	protected String getEntityName() {
		return "Person";
	}
}
