// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference;

import eu.etaxonomy.cdm.model.occurrence.FieldUnit;

/**
 * <p>IPreferenceKeys interface.</p>
 *
 * @author n.hoffmann
 * @created Jul 12, 2010
 * @version 1.0
 */
public interface IPreferenceKeys {
	/**
	 *
	 */
	public static final String PREFERRED_NOMENCLATURAL_CODE_KEY = "eu.etaxonomy.taxeditor.nomenclaturalCode";

	/**
	 *
	 */
	public static final String TAXON_SERVICE_CONFIGURATOR_TAXA = "eu.etaxonomy.taxeditor.taxonServiceConfigurator.doTaxa";

	/**
	 *
	 */
	public static final String TAXON_SERVICE_CONFIGURATOR_SYNONYMS = "eu.etaxonomy.taxeditor.taxonServiceConfigurator.doSynonyms";

	/**
	 *
	 */
	public static final String TAXON_SERVICE_CONFIGURATOR_NAMES = "eu.etaxonomy.taxeditor.taxonServiceConfigurator.doNamesWithoutTaxa";

	/**
	 *
	 */
	public static final String TAXON_SERVICE_CONFIGURATOR_COMMON_NAMES = "eu.etaxonomy.taxeditor.taxonServiceConfigurator.doTaxaByCommonNames";

	/**
	 * Whether to show UUID and database id in the supplemental data view.
	 */
	public static final String SHOW_DEBUG_INFORMATION = "eu.etaxonomy.taxeditor.showDebugInformation";

	/**
	 * Whether to show database id in the entity selection dialogs.
	 */
	public static final String SHOW_ID_IN_ENTITY_SELECTION_DIAOLOG = "eu.etaxonomy.taxeditor.showIdInEntitySelectionDiaolog";

	/**
	 * Whether to show vocabulary of the term when displaying it's label.
	 */
	public static final String SHOW_VOCABULARY_ID_FOR_TERM_LABELS = "eu.etaxonomy.taxeditor.showVocabularyIdForTermLabels";

	/**
	 *
	 */
	public static final String HIDE_BULKEDITOR_INFO = "eu.etaxonomy.taxeditor.bulkeditorInfo.hide";

	/**
	 *
	 */
	public static final String EDIT_MARKER_TYPE_PREFIX = "editMarkerType";

	/**
	 *
	 */
	public static final String MATCH_STRATEGY_PREFIX = "matchStrategy.";

	/**
	 * Access point to the EDIT Map Service that should be used.
	 */
	public static final String EDIT_MAP_SERVICE_ACCES_POINT = "eu.etaxonomy.taxeditor.editMapServiceAccessPoint";

	/**
	 * Whether the editor should connect to a database immediately after starting.
	 * When editor launches for the first time, it will use the default h2 database.
	 * Subsequent launches will always try to connect to the database it was connected to during
	 * the previous session.
	 */
	public static final String SHOULD_CONNECT_AT_STARTUP = "eu.etaxonomy.taxeditor.shouldConnectAtStartup";

	/** Constant <code>SHOULD_EXPAND_SECTION_WHEN_DATA_AVAILABLE="eu.etaxonomy.taxeditor.shouldExpandSect"{trunked}</code> */
	public static final String SHOULD_EXPAND_SECTION_WHEN_DATA_AVAILABLE = "eu.etaxonomy.taxeditor.shouldExpandSectionWhenDataAvailable";

	/** Constant <code>FEATURE_TREE_DEFAULT_TEXT="eu.etaxonomy.taxeditor.featureTree.defa"{trunked}</code> */
	public static final String FEATURE_TREE_DEFAULT_TEXT = "eu.etaxonomy.taxeditor.featureTree.default.textualData";

	/** Constant <code>FEATURE_TREE_DEFAULT_STRUCTURE="eu.etaxonomy.taxeditor.featureTree.defa"{trunked}</code> */
	public static final String FEATURE_TREE_DEFAULT_STRUCTURE = "eu.etaxonomy.taxeditor.featureTree.default.structuralData";

	/** Constant <code>SORT_RANKS_HIERARCHICHALLY="eu.etaxonomy.taxeditor.menus.sortRanksH"{trunked}</code> */
	public static final String SORT_RANKS_HIERARCHICHALLY = "eu.etaxonomy.taxeditor.menus.sortRanksHierarchichally";
	/** Constant <code>SORT_NODES_NATURALL="eu.etaxonomy.taxeditor.menus.sortNodesN"{trunked}</code> */
	public static final String SORT_NODES_NATURALLY = "eu.etaxonomy.taxeditor.menus.sortNodesNaturally";

	/**
	 * Whether multilanguage text fields should be editable in multiple languages.
	 */
	public static final String MULTILANGUAGE_TEXT_EDITING_CAPABILITY = "eu.etaxonomy.taxeditor.capability.edit.mulitlanugageText";

	/**
	 * The language to be used for all things multilanguage
	 */
	public static final String GLOBAL_LANGUAGE_UUID = "eu.etaxonomy.taxeditor.globalLanguage";

	public static final String SHOW_EXPERIMENTAL_FEATURES = "eu.etaxonomy.taxeditor.showExperimentalFeatures";

	public static final String OPENURL_ACCESS_POINT = "eu.etaxonomy.taxeditor.openUrlAccessPoint";

	public static final String OPENURL_IMAGE_MAX_WIDTH = "eu.etaxonomy.taxeditor.openUrlImageMaxWidth";

	public static final String OPENURL_IMAGE_MAX_HEIGHT = "eu.etaxonomy.taxeditor.openUrlImageMaxHeight";

	/**
	 * Whether the occurrence bulk editor should show {@link FieldUnit} objects
	 */
	public static final String BULK_EDITOR_OCCURRENCE_SHOW_FIELD_UNITS = "eu.etaxonomy.taxeditor.bulkeditor.occurrence.showFieldUnits";

	public static final String SEARCH_OPEN_RESULTS_IN_SEPARATE_WINDOWS = "eu.etaxonomy.taxeditor.navigation.search.openResultInSeparateWindows";

	public static final String ADD_TYPES_TO_ALL_NAMES = "eu.etaxonomy.taxeditor.store.addTypeToAllNames";

    public static final String DETERMINATION_ONLY_FOR_FIELD_UNITS = "eu.etaxonomy.taxeditor.specimen.determinationOnlyOnFieldUnitLevel";

    public static final String SHOW_COLLECTING_AREAS_IN_GENERAL_SECTION = "eu.etaxonomy.taxeditor.specimen.showCollectingAreasInGeneralSection";

    public static final String SHOW_TAXON_ASSOCIATIONS = "eu.etaxonomy.taxeditor.specimen.showTaxonAssociations";

    public static final String DISTRIBUTION_AREA_PREFRENCES_ACTIVE = "eu.etaxonomy.taxeditor.checklist.distributionAreaPreferencesActive";

    public static final String DISTRIBUTION_AREA_OCCURENCE_STATUS = "eu.etaxonomy.taxeditor.checklist.distributionAreaStatus";

    public static final String DISTRIBUTION_AREA_OCCURENCE_STATUS_GRAYED = "eu.etaxonomy.taxeditor.checklist.distributionAreaStatusGrayed";

    public static final String SHOW_ADVANCED_MEDIA_SECTION = "eu.etaxonomy.taxeditor.media.showAdvancedMedia";

    // TODO RL
    public static final String IS_RL = "eu.etaxonomy.taxeditor.isRL";

    public static final String DEFAULT_LANGUAGE_EDITOR = "eu.etaxonomy.taxeditor.default.language";

    /**
     * Key for the saved P2 repositories
     */
    public static final String P2_REPOSITORY_LIST = "eu.etaxonomy.taxeditor.p2.repositories";

}
