// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.matching;

import org.eclipse.ui.IWorkbench;

import eu.etaxonomy.cdm.model.reference.Reference;
import eu.etaxonomy.cdm.strategy.match.IMatchStrategy;
import eu.etaxonomy.cdm.strategy.match.MatchException;
import eu.etaxonomy.taxeditor.model.MessagingUtils;
import eu.etaxonomy.taxeditor.parser.MatchStrategyConfigurator;

/**
 * <p>ReferenceMatchingPreference class.</p>
 *
 * @author n.hoffmann
 * @created Jan 22, 2010
 * @version 1.0
 */
public class ReferenceMatchingPreference extends AbstractMatchingPreferences<Reference> {

	/* (non-Javadoc)
	 * @see org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
	 */
	/** {@inheritDoc} */
	public void init(IWorkbench workbench) {
		clazz = Reference.class;
		
		try {
			matchStrategy = MatchStrategyConfigurator.ReferenceMatchStrategy();
		} catch (MatchException e) {
			MessagingUtils.error(this.getClass(), e);
			throw new RuntimeException(e);
		}
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.preference.matching.AbstractMatchingPreferences#getDefaultMatchStrategy()
	 */
	/** {@inheritDoc} */
	@Override
	protected IMatchStrategy getDefaultMatchStrategy() throws MatchException {
		return MatchStrategyConfigurator.getDefaultReferenceMatchStrategy();
	}
}
