/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.preference.menu;

import eu.etaxonomy.cdm.model.description.Feature;

/**
 * <p>FeatureMenuPreferences class.</p>
 *
 * @author p.ciardelli
 * @author n.hoffmann
 * @created 17.09.2008
 * @version 1.0
 */
public class FeatureMenuPreferences extends AbstractMenuPreferences<Feature> {

	/** Constant <code>PLUGIN_ID="eu.etaxonomy.taxeditor.preferences.feat"{trunked}</code> */
	public static final String PLUGIN_ID = "eu.etaxonomy.taxeditor.preferences.feature";
	
	/**
	 * <p>Constructor for FeatureMenuPreferences.</p>
	 */
	public FeatureMenuPreferences() {
		super("Feature Preferences", 
				"Choose which features you would like to use for descriptive elements.", 
				false);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences#getTermClass()
	 */
	/** {@inheritDoc} */
	@Override
	protected Class<Feature> getTermClass() {
		return Feature.class;
	}
}
