// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.menu;

import org.eclipse.ui.IWorkbenchPreferencePage;

import eu.etaxonomy.cdm.model.description.PresenceAbsenceTerm;

/**
 * <p>PresenceAbsenceMenuPreferences class.</p>
 *
 * @author n.hoffmann
 * @created 25.06.2009
 * @version 1.0
 */
public class PresenceAbsenceMenuPreferences extends AbstractMenuPreferences<PresenceAbsenceTerm> implements
		IWorkbenchPreferencePage {

	/**
	 * <p>Constructor for PresenceAbsenceMenuPreferences.</p>
	 */
	public PresenceAbsenceMenuPreferences() {
		super("Distribution Status Preferences",
				"Choose which distribution states should be shown.",
				false);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences#getTermClass()
	 */
	/** {@inheritDoc} */
	@Override
	protected Class<PresenceAbsenceTerm> getTermClass() {
		return PresenceAbsenceTerm.class;
	}

}
