// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.occurrence.derivedUnit;

import org.eclipse.ui.forms.widgets.ExpandableComposite;

import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @created May 11, 2011
 * @version 1.0
 */
public class PreservedSpecimenDeterminationDetailElement extends AbstractCdmDetailElement<DerivedUnit> {

	private PreservedSpecimenCurrentDeterminationDetailSection section_currentDetermination;

	private PreservedSpecimenDeterminationHistoryDetailSection section_determinationHistory;

	/**
	 * @param formFactory
	 * @param formElement
	 */
	public PreservedSpecimenDeterminationDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement) {
		super(formFactory, formElement);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement#createControls(eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement, java.lang.Object, int)
	 */
	@Override
	protected void createControls(ICdmFormElement formElement,
	        DerivedUnit entity, int style) {

        section_currentDetermination = formFactory.createPreservedSpecimenCurrentDeterminationDetailSection(getConversationHolder(), formElement, ExpandableComposite.EXPANDED);
        section_currentDetermination.setLayoutData(LayoutConstants.FILL_HORIZONTALLY(2, 1));
        section_currentDetermination.setEntity(entity);

        section_determinationHistory = formFactory.createPreservedSpecimenDeterminationHistoryDetailSection(getConversationHolder(), formElement, ExpandableComposite.TWISTIE);
        section_determinationHistory.setLayoutData(LayoutConstants.FILL_HORIZONTALLY(2, 1));
        section_determinationHistory.setEntity(entity);

	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement#handleEvent(java.lang.Object)
	 */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == section_currentDetermination){
			section_determinationHistory.refresh();
		}
	}

}
