// $Id$
/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.view.specimenSearch;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.DisposeEvent;
import org.eclipse.swt.events.DisposeListener;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;
import org.eclipse.ui.forms.widgets.FormToolkit;
import org.eclipse.ui.forms.widgets.TableWrapData;
import org.eclipse.ui.forms.widgets.TableWrapLayout;

/**
 * @author pplitzner
 * @date 22.05.2014
 *
 */
public class SpecimenProviderSelectionComposite extends Composite {

    private final FormToolkit toolkit = new FormToolkit(Display.getCurrent());
    private final Text txtAccessPoint;
    private final Button btnGbif;
    private final Button btnBioCaseProvider;
    private final Label lblAccessPointUrl;

    /**
     * Create the composite.
     * @param parent
     * @param style
     */
    public SpecimenProviderSelectionComposite(Composite parent, int style) {
        super(parent, style);
        addDisposeListener(new DisposeListener() {
            @Override
            public void widgetDisposed(DisposeEvent e) {
                toolkit.dispose();
            }
        });
        toolkit.adapt(this);
        toolkit.paintBordersFor(this);
        {
            TableWrapLayout tableWrapLayout = new TableWrapLayout();
            tableWrapLayout.numColumns = 2;
            setLayout(tableWrapLayout);
        }

        btnGbif = new Button(this, SWT.RADIO);
        toolkit.adapt(btnGbif, true, true);
        btnGbif.setText("GBIF");
        new Label(this, SWT.NONE);

        btnBioCaseProvider = new Button(this, SWT.RADIO);
        toolkit.adapt(btnBioCaseProvider, true, true);
        btnBioCaseProvider.setText("BioCASE Provider");
                new Label(this, SWT.NONE);

                txtAccessPoint = new Text(this, SWT.BORDER);
                txtAccessPoint.setLayoutData(new TableWrapData(TableWrapData.FILL_GRAB, TableWrapData.TOP, 1, 1));
                toolkit.adapt(txtAccessPoint, true, true);

        lblAccessPointUrl = new Label(this, SWT.NONE);
        lblAccessPointUrl.setLayoutData(new TableWrapData(TableWrapData.LEFT, TableWrapData.MIDDLE, 1, 1));
        toolkit.adapt(lblAccessPointUrl, true, true);
        lblAccessPointUrl.setText("Access Point URL");

    }

    public Button getBtnGbif() {
        return btnGbif;
    }
    public Button getBtnBioCaseProvider() {
        return btnBioCaseProvider;
    }
    public Text getTxtAccessPoint() {
        return txtAccessPoint;
    }
    public Label getLblAccessPointUrl() {
        return lblAccessPointUrl;
    }
}
