// $Id$
/**
* Copyright (C) 2013 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section.occurrence.dna;

import eu.etaxonomy.cdm.model.molecular.DnaSample;
import eu.etaxonomy.cdm.model.occurrence.Collection;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.CheckboxElement;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
import eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement;

/**
 * @author pplitzner
 * @date 16.12.2013
 *
 */
public class DnaSampleGeneralDetailElement extends AbstractCdmDetailElement<DnaSample> {


    private EntitySelectionElement<Collection> selection_collection;
    private TextWithLabelElement textBarcode;
    private CheckboxElement checkIsPublish;

    public DnaSampleGeneralDetailElement(CdmFormFactory formFactory, ICdmFormElement formElement) {
        super(formFactory, formElement);
    }

    @Override
    protected void createControls(ICdmFormElement formElement, DnaSample entity, int style) {
        selection_collection = formFactory
                .createSelectionElement(Collection.class,
                        getConversationHolder(), formElement, "Collection",
                        entity.getCollection(),
                        EntitySelectionElement.ALL, style);
        textBarcode = formFactory.createTextWithLabelElement(formElement, "Barcode", entity.getBarcode(), style);
        checkIsPublish = formFactory.createCheckbox(formElement, "Publish", entity.isPublish(), style);

    }

    @Override
    public void handleEvent(Object eventSource) {
        if(eventSource==textBarcode){
            getEntity().setBarcode(textBarcode.getText());
        }
        else if(eventSource==checkIsPublish){
            getEntity().setPublish(checkIsPublish.getSelection());
        } else if (eventSource == selection_collection) {
            getEntity().setCollection(selection_collection.getSelection());
        }
    }

}
