// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.ui.section.occurrence.dna;

import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.graphics.Color;

import eu.etaxonomy.cdm.model.common.Identifier;
import eu.etaxonomy.taxeditor.ui.element.AbstractFormSection;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;

/**
 *
 * @author pplitzner
 * @date Oct 16, 2014
 *
 * @param <T>
 */
public class SampleDesignationTextDetailElement extends
		AbstractEntityCollectionElement<Identifier> {

    protected TextWithLabelElement text_description;

	/**
     * @param formFactory
     * @param section
     * @param entity
     * @param removeListener
     * @param backgroundColor
     * @param style
     */
    public SampleDesignationTextDetailElement(CdmFormFactory formFactory, AbstractFormSection<?> section,
            Identifier entity, SelectionListener removeListener, Color backgroundColor, int style) {
        super(formFactory, section, entity, removeListener, backgroundColor, style);
    }

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement#createControls
	 * (eu.etaxonomy.taxeditor.forms.ICdmFormElement, int)
	 */
	/** {@inheritDoc} */
	@Override
	public void createControls(ICdmFormElement element, int style) {
		text_description = formFactory.createTextWithLabelElement(element,
				"Sample Designation", null, style);
	}

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement#handleEvent(java.lang.Object)
     */
    @Override
    public void handleEvent(Object eventSource) {
        if(eventSource==text_description){
            String identifier = null;
            if(!text_description.getText().isEmpty()){
                identifier = text_description.getText();
            }
            this.entity.setIdentifier(identifier);
        }
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement#setEntity(java.lang.Object)
     */
    @Override
    public void setEntity(Identifier entity) {
        this.entity = entity;
        text_description.setText(entity.getIdentifier());
    }

}
